<template>
    <div style="background:transparent url('src/assets/wallpaper-wood.jpg'); min-height:1080px; font-family: Calibri; font-size: large">
        <b-jumbotron class="text-center w-100 p-0 mb-0"
                     text-variant="white"
                     style="height: 9rem; display:block; border-radius: 0 ; background-image: url(src/assets/mountains-water-trees-lake.jpg); background-size: 100%;"
        >
            <h1 class="display-3 pt-4" style="font-size:4vw;">Mitarbeiterverwaltung</h1>
        </b-jumbotron>
        <div v-if="this.$store.state.sessionId">
            <b-row class="mx-auto row-cols-xl-4 row-cols-lg-2 row-cols-md-2 row-cols-sm-1 my-lg-5 my-md-0 my-sm-0">
                <b-col class="col mt-4">
                    <b-card border-variant="secondary" class="mx-auto" style="width: 20rem; min-height:17rem;">
                        <b-row class="row-cols-2 px-4 mt-4">
                            <b-col class="px-0">
                                <p>Angemeldet als :</p>
                            </b-col>
                            <b-col class="px-0 text-right">
                                <p class="font-weight-bold">{{this.$store.state.nutzername}}</p>
                            </b-col>
                        </b-row>
                        <b-row class="row-cols-2 px-4 mb-5">
                            <b-col class="px-0">
                                <p>Adminrechte :</p>
                            </b-col>
                            <b-col v-if="istAdmin" class="px-0 text-right">
                                <p class="font-weight-bold text-success">Ja</p>
                            </b-col>
                            <b-col v-else class="px-0 text-right">
                                <p class="font-weight-bold text-danger">Nein</p>
                            </b-col>
                        </b-row>
                        <b-row class="px-4 my-4">
                            <b-button v-on:click="logout" style="font-size:larger;" block type="secondary">Logout</b-button>
                        </b-row>
                    </b-card>
                </b-col>

                <b-col class="col mt-4">
                    <nutzer-bearbeiten></nutzer-bearbeiten>
                </b-col>
                <b-col class="col mt-4" v-if="istAdmin">
                    <mitarbeiter-entfernen></mitarbeiter-entfernen>
                </b-col>
                <b-col class="col mt-4" v-else>
                    <b-card no-body border-variant="secondary" header-bg-variant="secondary"
                            header-text-variant="dark" header="Mitarbeiterkonto entfernen" class="text-center mx-auto"
                            style="width: 20rem;  min-height:17rem; font-size:larger" bg-variant="light">
                        <b-alert class="my-auto" style="border-radius: 0;" show variant="dark">Erfordert Adminrechte</b-alert>
                    </b-card>
                </b-col>
            </b-row>

            <b-row class="mx-auto row-cols-xl-4 row-cols-lg-2 row-cols-md-2 row-cols-sm-1  my-lg-5 my-md-0 mb-md-5 my-sm-0 mb-sm-5">

                <b-col class="col offset-xl-3 mt-4" v-if="istAdmin">
<!--                    <mitarbeiter-bearbeiten></mitarbeiter-bearbeiten>-->
                </b-col>
                <b-col class="col offset-xl-3 mt-4" v-else>
<!--                <b-card no-body border-variant="secondary" header-bg-variant="secondary"-->
<!--                        header-text-variant="dark" header="Mitarbeiterkonto bearbeiten" class="text-center mx-auto"-->
<!--                        style="width: 20rem;  min-height:17rem; font-size:larger" bg-variant="light">-->
<!--                    <b-alert class="my-auto" style="border-radius: 0;" show variant="dark">Erfordert Adminrechte</b-alert>-->
<!--                </b-card>-->
                </b-col>
                <b-col class="col mt-4" v-if="istAdmin">
                    <mitarbeiter-hinzufuegen></mitarbeiter-hinzufuegen>
                </b-col>
                <b-col class="col mt-4" v-else>
                    <b-card no-body border-variant="secondary" header-bg-variant="secondary"
                            header-text-variant="dark" header="Mitarbeiterkonto hinzufügen" class="text-center mx-auto"
                            style="width: 20rem;  min-height:17rem; font-size:larger" bg-variant="light">
                        <b-alert class="my-auto" style="border-radius: 0;" show variant="dark">Erfordert Adminrechte</b-alert>
                    </b-card>
                </b-col>
            </b-row>
            <b-alert class="mx-0 my-0" variant="secondary"
                     style="border-radius: 0; position: fixed; bottom:0; right:0; left:0; font-size: smaller"
                     show>Icons made by <a
                    href="https://www.flaticon.com/authors/freepik" title="Freepik">Freepik</a> from <a
                    href="https://www.flaticon.com/" title="Flaticon">www.flaticon.com</a></b-alert>
        </div>
        <div v-else>
            <b-container>
                <login></login>
            </b-container>
        </div>
    </div>
</template>

<script>

    import NutzerBearbeiten from './components/NutzerBearbeiten.vue';
    import MitarbeiterBearbeiten from './components/MitarbeiterBearbeiten.vue';
    import MitarbeiterHinzufuegen from './components/MitarbeiterHinzufuegen.vue';
    import MitarbeiterEntfernen from './components/MitarbeiterEntfernen.vue';
    import Login from './components/Login.vue';
    import {mapState} from "vuex";
    import axios from "axios";

    export default {
        computed: mapState([
            'istAdmin',
            'sessionId',
            'nutzername'
        ]),
        components: {
            NutzerBearbeiten,
            MitarbeiterBearbeiten,
            MitarbeiterHinzufuegen,
            MitarbeiterEntfernen,
            Login
        },
        name: 'App',
        data: function () {
            return {
            }
        },
        methods: {
            logout: function() {
                this.$store.commit('logout');
            },
            nutzerdaten_holen: async function() {
                var inhalt = {
                    "Session": {
                        "CID": this.$store.state.sessionId
                    }
                };
                var url = "http://127.0.0.1:5678/appServer/MitarbeiterdatenAbfragen";
                var inhalt_json = JSON.stringify(inhalt);
                const {data} = await axios.post(url, inhalt_json);
                console.log(data);
                var c = data.Response.Mitarbeiter.count();
                var i = 0;
                var optionen = [];
                for (i = 1; i <= c; i++) {
                    optionen[i] = data.Response.Mitarbeiter[i].Personalnummer;
                }
                this.$store.commit('optionen_festlegen', optionen);
            }
        }
    };


</script>